sepolicy-manpage(8)

NAME
sepolicy-manpage - Generate a man page based on the installed SELinux Policy

SYNOPSIS

sepolicy manpage [-w] [-h] [-p PATH ] [-r ROOTDIR ] [-a | -d ]

DESCRIPTION
Use sepolicy manpage to generate manpages based on SELinux Policy.

OPTIONS

-a, --all
    Generate Man Pages for All Domains

-d, --domain
    Generate a Man Page for the specified domain. (Supports multiple commands)

-h, --help
    Display help message

-o, --os
    Specify the name of the OS to be used in the man page (only affects HTML man pages)

-p, --path
    Specify the directory to store the created man pages. (Default to /tmp)

-r, --root
    Specify alternative root directory to generate man pages from. (Default to /)

--source_files
    Use file_contexts and policy.xml files from the specified root directory (the alternative root needs to include both files)

-w, --web
    Generate an additional HTML man pages for the specified domain(s)

EXAMPLE
Generate man pages for all available domains
# sepolicy manpage -a
Generate an HTML man page for domain alsa_t, setting the OS name to "My_distro"
# sepolicy manpage -o My_distro -d alsa_t -w

AUTHOR
This man page was written by Daniel Walsh <dwalsh@redhat.com>

SEE ALSO
sepolicy(8), selinux(8)